version: '2'
services:
  gateway:
    image: "registry.cn-hangzhou.aliyuncs.com/lanxy88/gateway:1.0-SNAPSHOT"
    environment:
      APP_CENTER: http://center1:8000/eureka/
#      EUREKA_INSTANCE_PREFERIPADDRESS: 'false'
#      EUREKA_CLIENT_SERVICEURL_DEFAULTZONE: http://center1:8000/eureka/
    external_links:
      - center1
    ports:
      - "9999:9999"
    extra_hosts:
      - "center1:10.1.1.250"
    volumes:
      - "/app/gateway/1.0-SNAPSHOT"